{
  // Use IntelliSense to learn about possible attributes.
  // Hover to view descriptions of existing attributes.
  // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
  "version": "0.2.0",
  "compounds": [
    {
      "name": "Server/Client",
      "configurations": ["Server", "Client"],
      "stopAll": true
    }
  ],
  "configurations": [
    {
      "name": "Server",
      "type": "coreclr",
      "request": "launch",
      "preLaunchTask": "build",
      "program": "${workspaceRoot}/src/DS.Hardware.Monitor/bin/Debug/net6.0/DS.Hardware.Monitor.dll",
      "args": [],
      "justMyCode": true,
      "cwd": "${workspaceRoot}/src/DS.Hardware.Monitor",
      "stopAtEntry": false,
      "console": "internalConsole",
      "env": {
        "ASPNETCORE_ENVIRONMENT": "development"
      },
      "logging": {
        "moduleLoad": false
      }
    },
    {
      "name": "Client",
      "type": "node",
      "request": "launch",
      "runtimeExecutable": "npm",
      "cwd": "${workspaceRoot}/src/DS.Hardware.Monitor.Client",
      "runtimeArgs": [
        "start"
      ],
      "console": "internalConsole",
      "preLaunchTask": "Delay",
      "env": {
      }
    }
  ]
}